/*
	Code generation for the following grammar segment:
	
	ModuleDeclaration := "module" Name() ";"
*/

package salsa_lite.core.compiler.definitions;

import salsa_lite.core.compiler.SalsaCompiler;
import salsa_lite.core.compiler.SalsaParser;
import salsa_lite.core.compiler.SimpleNode;

public class ModuleDeclaration extends SimpleNode {

	public ModuleDeclaration(int id)			{ super(id); }
	public ModuleDeclaration(SalsaParser p, int id)		{ super(p, id); }

	public String getModule() {
		return getChild(0).getJavaCode();
	}

	public String getJavaCode() {
		SalsaCompiler.addPackage( getChild(0).getJavaCode() );
		SalsaCompiler.moduleName = getChild(0).getJavaCode();

		return "package " + getChild(0).getJavaCode() + ";\n\n";
	}
}
