/*
	Code generation for the following grammar segment:

	PrimitiveType :=
		"boolean" | "char" | "byte" | "short" | "int" | "long" | "float" | "double"
*/

package salsa_lite.core.compiler.definitions;

import salsa_lite.core.compiler.SalsaParser;
import salsa_lite.core.compiler.SimpleNode;

public class PrimitiveType extends SimpleNode {

	public PrimitiveType(int id) 			{ super(id); }
	public PrimitiveType(SalsaParser p, int id)	{ super(p, id); }

	public String getJavaCode() {
		return getToken(0).image;
	}
}
