/*
	Code generation for the following grammar segment:
	
	StateVariableAttributes :=
		("public" | "protected" | "private" | "volatile" | "static" | "final" | "transient")*
*/

package salsa_lite.core.compiler.definitions;

import salsa_lite.core.compiler.SalsaParser;
import salsa_lite.core.compiler.SimpleNode;
import salsa_lite.core.compiler.Token;

public class StateVariableAttributes extends SimpleNode {

	public StateVariableAttributes(int id) 			{ super(id); }
	public StateVariableAttributes(SalsaParser p, int id)	{ super(p, id); }

	public String getChildCode() {
		String code = "";
		if (tokens == null) return code;
		for (int i = 0; i < tokens.length; i++) {
			code += tokens[i] + " ";
		}
		return code;
	}
}
