/*
	Code generation for the following grammar segment:
	
	Type := PrimitiveType | Name ( "[" "]" )*
*/

package salsa_lite.core.compiler.definitions;

import salsa_lite.core.compiler.SalsaParser;
import salsa_lite.core.compiler.SimpleNode;

public class Type extends SimpleNode {
	public Type(int id) 			{ super(id); }
	public Type(SalsaParser p, int id)	{ super(p, id); }

	public String getPostCode() {
		String code = "";
		if ( tokens != null ) {
			for (int i = 0; i < tokens.length; i++) code += getToken(i).image;
		}
		return code;
	}
}
