public class JavaFibonacci {

	int n;
	public JavaFibonacci(int n) {
		this.n = n;
	}

	public int add(int x, int y) {
		return x + y;
	}

	public int compute() {
		if (n == 0)		return 0;
		else if (n <= 2)	return 1;
		else {
			JavaFibonacci fib1 = new JavaFibonacci(n-1);
			JavaFibonacci fib2 = new JavaFibonacci(n-2);
			int x = fib1.compute();
			int y = fib2.compute();
			return add (x, y);
		}
	}

	public static void main(String[] args) {
		int n = Integer.parseInt(args[0]);

		long start_time = System.currentTimeMillis();
		System.err.println("result: " + new JavaFibonacci(n).compute());
		System.err.println("fibonacci took: " + (System.currentTimeMillis() - start_time));
	}

}
