echo "SALSA Build Script v0.2.1"
echo "Please make sure the current directory is in your CLASSPATH"
echo ""
echo "Compiling SALSA Compiler Code"
javac -classpath "../" -O `find core/compiler/ | grep "java$"`

echo "Compiling Core Package"
echo "salsa source..."
java -classpath "../" -Dsilent salsa_lite.core.compiler.SalsaCompiler `find core/ | grep "salsa$"`
echo "java -classpath "../" source..."
javac -classpath "../" `find core/ | grep "java$"`

echo "Compiling Local Runtime"
echo "salsa source..."
java -classpath "../" -Dsilent salsa_lite.core.compiler.SalsaCompiler `find local/ | grep "salsa$"`
echo "java -classpath "../" source..."
javac -classpath "../" `find local/ | grep "java$"`

echo "Compiling Local Garbage Collection"
echo "salsa source..."
java -classpath "../" -Dsilent salsa_lite.core.compiler.SalsaCompiler `find local/ | grep "salsa$"`
echo "java -classpath "../" source..."
javac -classpath "../" `find local_gc/ | grep "java$"`

echo "Compiling World Wide Computer"
echo "salsa source..."
java -classpath "../" -Dsilent salsa_lite.core.compiler.SalsaCompiler `find wwc/ | grep "salsa$"`
echo "java -classpath "../" source..."
javac -classpath "../" `find wwc/ | grep "java$"`

echo "Building JAR File..."
cd ..;jar -cf salsa_lite.jar salsa_lite; cd salsa_lite

#echo "Compiling Examples"
#echo "salsa source..."
#java -classpath "../" -Dsilent salsa_lite.core.compiler.SalsaCompiler `find examples/ | grep "salsa$"`
#echo "java -classpath "../" source..."
#javac -classpath "../" `find examples/ | grep "java$"`

#echo "Compiling Tests"
#echo "salsa source..."
#java -classpath "../" -Dsilent salsa_lite.core.compiler.SalsaCompiler `find tests/ | grep "salsa$"`
#echo "java -classpath "../" source..."
#javac -classpath "../" `find tests/ | grep "java$"`

echo ""
echo "Finished!"

