/*
	Code generation for the following grammar segment:
	
	NestedBehaviorAttributes := ("abstract" | "public" | "final" | "protected" | "private" | "static")*
*/

package salsa_lite.core.compiler.definitions;

import salsa_lite.core.compiler.SalsaParser;
import salsa_lite.core.compiler.SimpleNode;
import salsa_lite.core.compiler.Token;

public class NestedBehaviorAttributes extends SimpleNode {

	public NestedBehaviorAttributes(int id) 					{ super(id); }
	public NestedBehaviorAttributes(SalsaParser p, int id)	{ super(p, id); }


	public String getChildCode() {
		Token current = first_token;

		String code = "";		
		for (; current != null; current = current.next) {
			code += current.image + " ";
		}
		return code;
	}
}