package salsa_lite.core.services;

import salsa_lite.core.language.Actor;
import salsa_lite.core.language.Message;

public interface StageService {
	public void sendMessageFromLocal(Message message);
	public void sendMessageFromRemote(Message message, String host, int port);

	public void createActor(Actor actor, String targetHost, int targetPort);
	public void actorMigration(Actor actor, String remoteHost, int remotePort);
	public void handleObjectFromRemote(Object object, String remoteHost, int remotePort);
}
