package salsa_lite.wwc.stage;

import salsa_lite.core.language.Actor;

public class ActorMigrationMessage {

	private Actor actor;
	private String remoteHost;
	private int remotePort;

	public ActorMigrationMessage(Actor actor, String remoteHost, int remotePort) {
		this.actor = actor;
		this.remoteHost = remoteHost;
		this.remotePort = remotePort;
	}

	protected int getRemotePort()		{ return remotePort; }
	protected String getRemoteHost()	{ return remoteHost; }
	protected Actor getActor()		{ return actor; }
}
