package salsa_lite.wwc.stage;

import java.io.Serializable;

public class UpdateInvalidReferenceMessage implements Serializable {

	private int hashcode;

	private String sourceHost;
	private int sourcePort;
	private String referenceId;

	public UpdateInvalidReferenceMessage(String sourceHost, int sourcePort, String referenceId) {
		this.sourceHost = sourceHost;
		this.sourcePort = sourcePort;
		this.referenceId = referenceId;

		this.hashcode = referenceId.hashCode();
	}

	public String getSourceHost()		{ return sourceHost; }
	public int getSourcePort()		{ return sourcePort; }
	public String getInvalidId()		{ return referenceId; }

	public int hashCode()			{ return hashcode; }

	public String toString() {
		String retval = "UpdateInvalidReferenceMessage[source: " + sourceHost + ":" + sourcePort + ", id: " + referenceId + "]";
		return retval;
	}
}
